Chelabase
ManagementBranches

Restore a branch to a point in its history

POST
/v1/databases/{id}/branches/{branch_id}/restore

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Database id

Formatuuid
branch_id*string

Branch id

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

at*|

The point in the branch's history to rewind to.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/databases/497f6eca-6276-4993-bfeb-53cbbbba6f08/branches/497f6eca-6276-4993-bfeb-53cbbbba6f08/restore" \  -H "Content-Type: application/json" \  -d '{    "at": {      "timestamp": "2019-08-24T14:15:22Z"    }  }'
{  "backup_branch_id": "3b1db78f-a964-4a2d-8683-6ed743bf5f8e",  "backup_name": "string",  "status": "string"}